package com.wistone.pay.net.command;

import org.json.JSONException;
import org.json.JSONObject;

public abstract class Command
{
	public static final int	COMMAND_CLIENT_ERROR	= -999;

	public int				commandID;
	public int				stateCode;

	public Command()
	{
	}

	public abstract JSONObject getCommand() throws JSONException;

	public abstract void doCommand(String json) throws JSONException;

	public abstract String getUrl();
}
